## SSE SSE — code generation for SSE |

## Functions

#define | ORC_SSE_SHUF()
#define | orc_sse_emit_pshufd()
#define | orc_sse_emit_pshuflw()
void | orc_sse_init ()

## Types and Values

enum | OrcSSERegister
enum | OrcTargetSSEFlags

## Description

## Functions

### ORC_SSE_SHUF()

    #define ORC_SSE_SHUF(a,b,c,d) ((((a)&3)<<6)|(((b)&3)<<4)|(((c)&3)<<2)|(((d)&3)<<0))

### orc_sse_emit_pshufd()

    #define orc_sse_emit_pshufd(p,imm,a,b) orc_x86_emit_cpuinsn_imm(p, ORC_X86_pshufd, imm, a, b)

### orc_sse_emit_pshuflw()

    #define orc_sse_emit_pshuflw(p,imm,a,b) orc_x86_emit_cpuinsn_imm(p, ORC_X86_pshuflw, imm, a, b)

### orc_sse_init ()

    void
    orc_sse_init (void);

## Types and Values

### enum OrcSSERegister

#### Members

X86_XMM0 |  |
X86_XMM1 |  |
X86_XMM2 |  |
X86_XMM3 |  |
X86_XMM4 |  |
X86_XMM5 |  |
X86_XMM6 |  |
X86_XMM7 |  |
X86_XMM8 |  |
X86_XMM9 |  |
X86_XMM10 |  |
X86_XMM11 |  |
X86_XMM12 |  |
X86_XMM13 |  |
X86_XMM14 |  |
X86_XMM15 |  |

### enum OrcTargetSSEFlags

#### Members

ORC_TARGET_SSE_SSE2 |  |
ORC_TARGET_SSE_SSE3 |  |
ORC_TARGET_SSE_SSSE3 |  |
ORC_TARGET_SSE_SSE4_1 |  |
ORC_TARGET_SSE_SSE4_2 |  |
ORC_TARGET_SSE_SSE4A |  |
ORC_TARGET_SSE_SSE5 |  |
ORC_TARGET_SSE_FRAME_POINTER |  |
ORC_TARGET_SSE_SHORT_JUMPS |  |
ORC_TARGET_SSE_64BIT |  |